<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */ ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" class="<?php echo $zen->bodyclass();?> zen-grid" data-navcollapse="<?php echo str_replace('px', '', $zen->params->navcollapse); ?>" data-gridcollapse="<?php echo str_replace('px', '', $zen->params->gridcollapse); ?>" >
<head>
	<?php echo $zen->params->after_head_scripts;?>
	<?php $zen->loadBlock('head'); ?>
	<?php echo $zen->params->before_head_scripts;?>
</head>
    <body>
		<!-- Required for Slidebar / Offcanvas implementation -->
		<div id="zen-wrap">
			<div id="zen-wrap-inner">
			
				<div id="image-wrapper"></div>
				<div class="banner-overlay" data-height="<?php echo $zen->params->bannerheight;?>"></div>
		   	
		   		<?php echo $zen->params->after_body_scripts;?>
		    	
		    	<div id="top-area">
			    	<?php $zen->loadBlock('top'); ?>
			  
			    	<?php $zen->loadBlock('header'); ?>
			    	
			    	<?php $zen->loadBlock('logo'); ?>
			    		    	
			    	<?php $zen->loadBlock('menu'); ?>
			    	
			    	<?php $zen->loadBlock('banner'); ?>
		    	</div>
		    	
				<div class="grid-wrapper">
			    	<?php $zen->loadBlock('grid-block-1'); ?>
		    	
			    	<?php $zen->loadBlock('grid-block-2'); ?>
		    	
			    	<?php $zen->loadBlock('grid-block-3'); ?>
		    	
			    	<?php if(!$zen->hideMain()) {
			    			$zen->loadBlock('main'); 
			    	}?>
		    	
			    	<?php $zen->loadBlock('grid-block-4'); ?>
		    	
			    	<?php $zen->loadBlock('grid-block-5'); ?>
		    	
			    	<?php $zen->loadBlock('grid-block-6'); ?>
				
					<?php $zen->loadBlock('bottom'); ?>
				</div>
				
				<?php $zen->loadBlock('footer'); ?>
				
				<?php $zen->loadBlock('debug'); ?>
			</div>
		</div>	
	
		<?php $zen->loadBlock('social'); ?>
		
		<?php $zen->loadBlock('off-canvas'); ?>
		
		<?php $zen->loadBlock('panel'); ?>
		
		<?php $zen->loadBlock('scripts'); ?>
		
		<?php if ($this->countModules('offcanvas') || $zen->params->navcollapse_type =="offcanvas") : ?>
			<?php if(!$this->countModules('offcanvas')) { 
					$zen->params->offcanvas_min_width = 'navcollapse';
			} ?>
			<a class="btn off-canvas-trigger sb-toggle-<?php echo $zen->params->offcanvas_position;?> visible-<?php echo $zen->params->offcanvas_min_width;?>"><?php echo $zen->params->offcanvas_trigger;?></a>
		<?php endif;?>
		
		<?php if($this->countModules('panel')) { ?>
		<a class="open-panel" data-target="zen-panel-1" href="#">
			<?php echo $zen->params->open_panel_trigger; ?>
		</a>
		<?php } ?>
		
		
		<?php echo $zen->params->before_body_scripts;?>
	
	</body>
</html>